package com.tofly.ghrq_route.module.domain;

/**
 * Created by zombiexq on 2016/6/17.
 */
public class Config {

    private String tpkname;
    private String geoname;
    private String dataurl;
    private String describe;
    private String contactus;
    private String userguide;

    public String getTpkname() {
        return tpkname;
    }

    public void setTpkname(String tpkname) {
        this.tpkname = tpkname;
    }

    public String getGeoname() {
        return geoname;
    }

    public void setGeoname(String geoname) {
        this.geoname = geoname;
    }

    public String getDataurl() {
        return dataurl;
    }

    public void setDataurl(String dataurl) {
        this.dataurl = dataurl;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }

    public String getContactus() {
        return contactus;
    }

    public void setContactus(String contactus) {
        this.contactus = contactus;
    }

    public String getUserguide() {
        return userguide;
    }

    public void setUserguide(String userguide) {
        this.userguide = userguide;
    }

    @Override
    public String toString() {
        return "Config{" +
                "tpkname='" + tpkname + '\'' +
                ", geoname='" + geoname + '\'' +
                ", dataurl='" + dataurl + '\'' +
                ", describe='" + describe + '\'' +
                ", contactus='" + contactus + '\'' +
                ", userguide='" + userguide + '\'' +
                '}';
    }

    public static Config getFakeConfig(){
        Config config = new Config();
        config.setTpkname("macau.tpk");
        config.setGeoname("macau.geodatabase");
        config.setContactus("/data/html/contactus.html");
        config.setDataurl("/data/");
        config.setDescribe("/data/html/describe.html");
        config.setUserguide("/data/html/userguide.html");
        return config;
    }
}
